## org.hibernate.sql.ordering.antlr
Class OrderingSpecification

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.hibernate.sql.ordering.antlr.NodeSupport
                  org.hibernate.sql.ordering.antlr.OrderingSpecification

All Implemented Interfaces:
  antlr.collections.AST, Serializable, Node

    public class OrderingSpecification

extends NodeSupport

Models an ordering specification (`ASCENDING` or `DESCENDING`) within a `SortSpecification`.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Nested Class Summary
`static class` `OrderingSpecification.Ordering`

Field Summary

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`OrderingSpecification()`

Method Summary
`OrderingSpecification.Ordering` `getOrdering()`
`String` `getRenderableText()` Build the node's representation for use in the resulting rendering.

Methods inherited from class org.hibernate.sql.ordering.antlr.NodeSupport
`getDebugText`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, initialize, initialize, setText, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getColumn, getFirstChild, getLine, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hibernate.sql.ordering.antlr.Node
`getText`

Constructor Detail

### OrderingSpecification

    public OrderingSpecification()

Method Detail

### getOrdering

    public OrderingSpecification.Ordering getOrdering()

### getRenderableText

    public String getRenderableText()

  Description copied from class: `NodeSupport`
  Build the node's representation for use in the resulting rendering.

  Specified by:
    `getRenderableText` in interface `Node`
  Overrides:
    `getRenderableText` in class `NodeSupport`
  Returns:
    The renderable text.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.